Subject: Re: [PATCH 1.8.0] add: make "add -u" update full tree without pathspec

From: Jakub Narebski <[email-masked]>
Date: Tue, 01 Mar 2011 11:36:35 -0800 (PST)

Matthieu Moy <[email-masked]> writes:
> Junio C Hamano <[email-masked]> writes:
>> Matthieu Moy <[email-masked]> writes:

[...]
>>> So, a warning like
>>>
>>>   warning: the behavior of "git add -u" without pathspec will change in
>>>   Git 1.8.0. To keep the current behavior, use this instead:
>>>   
>>>       git add -u .
>>>   
>>>   + explanations about the config options as already discussed here
>>>
>>> would be fine.
>>
>> Yeah, I think you convinced me that an elaborate configuration wouldn't
>> help us at all.  We just keep warning in 1.7.x series when "add -u" didn't
>> see any pathspec, and flip the default at 1.8.0
>>
>> Simpler and cleaner ;-)
> 
> I think is still makes sense to have a config variable, so that people
> who want the new behavior can get it ASAP. Right after 1.8 is out, I'll
> still have machines where I'm too lazy to install a brand new Git, and
> I'll want to get the 1.8 goodness for free ;-).

So it would be the opposite of compat.*; for example `future.wholeTree`
config variable? ;-)

-- 
Jakub Narebski
Poland
ShadeHawk on #git